---
dependency:
  name: galaxy
  options:
    role-file: requirements.yml
    requirements-file: requirements.yml
    force: False
driver:
  name: openstack
platforms:
  - name: molecule-ansible_role_ca_trust-centos-${CI_UNIQUE_ID:-local}
    image: "Centos 7"
    flavor: s1-2
    network: Ext-Net
    ssh_user: centos
  - name: molecule-ansible_role_ca-trust-debian-${CI_UNIQUE_ID:-local}
    image: "Ubuntu 20.04"
    flavor: s1-2
    network: Ext-Net
    ssh_user: ubuntu
provisioner:
  name: ansible
  playbooks:
    create: ../common/playbooks/create.yml
    destroy: ../common/playbooks/destroy.yml
  config_options:
    defaults:
      pipelining: true
      callback_whitelist: coverage
      host_key_checking: false
verifier:
  name: testinfra
